#ifndef SEDU_H
#define SEDU_H

#include <QDebug>
#include <QTranslator>
#include <QDesktopWidget>
#include <QMessageBox>
#include <QSerialPortInfo>
#include <QSerialPort>
#include <QColorDialog>
#include <QCloseEvent>

#include "ui_sedu.h"

#define APPNAME "SEDU-Setup"
#define APPVERS "1.0"
#define TIMEOUT 1000
#define SET_CFG 0xC0
#define GET_CFG	0xC1	// <FF> <program> <r> <g> <b> <brightness> <speed> <order> <leds> <00> <AC>
#define SET_EPM	0xC2
#define GET_EPM	0xC3

class sedu : public QMainWindow, private Ui::sedu
{
	Q_OBJECT

public:

	explicit sedu(QWidget *parent = 0);
	int ports;

private slots:

	QString toFormatedHex(QByteArray str_i);
	void log(QString message);
	bool sendCMD(int cmd);

	void on_pushButton_connect_clicked(bool checked);
	void on_pushButton_test_clicked();
	void on_pushButton_save_clicked();
	void on_pushButton_run_clicked();
	void on_comboBox_program_activated(int index);

	void keyPressEvent(QKeyEvent *ke);
	void closeEvent(QCloseEvent *ce);

private:

	bool ignore;

	QTranslator appTranslator;
	QSerialPortInfo spi;
	QSerialPort *sp;
	QByteArray ba;
	QColor rgb;
};

#endif // SEDU_H
